SPI_GETARGCOUNT(3)

NAME
SPI_getargcount - return the number of arguments needed by a plan prepared by SPI_prepare

SYNOPSIS

int SPI_getargcount(SPIPlanPtr plan)

DESCRIPTION

SPI_getargcount returns the number of arguments needed to execute a plan prepared by SPI_prepare.

ARGUMENTS

SPIPlanPtr plan
    execution plan (returned by SPI_prepare)

RETURN VALUE

The count of expected arguments for the plan. If the plan is NULL or invalid, SPI_result is set to SPI_ERROR_ARGUMENT and -1 is returned.